summarylogtreecommitdiffstats
path: root/nvidia-beta-dkms.install
diff options
context:
space:
mode:
authorDet2015-10-15 08:28:42 +0300
committerDet2015-10-15 08:28:42 +0300
commit4aafe182b2ae9225fb3f93cc7cb393a204cc8956 (patch)
treef0b45f0bca1d0ba82778229d605e342f8a0fb92b /nvidia-beta-dkms.install
parent2ffc2341789ed6392a267d3f1023af6c742f79ae (diff)
downloadaur-4aafe182b2ae9225fb3f93cc7cb393a204cc8956.tar.gz
Improve package readability
Diffstat (limited to 'nvidia-beta-dkms.install')
-rw-r--r--[-rwxr-xr-x]nvidia-beta-dkms.install15
1 files changed, 12 insertions, 3 deletions
diff --git a/nvidia-beta-dkms.install b/nvidia-beta-dkms.install
index 471f5340abe6..8c61e91a8b2a 100755..100644
--- a/nvidia-beta-dkms.install
+++ b/nvidia-beta-dkms.install
@@ -1,18 +1,27 @@
+# arg 1: the new package version
post_install() {
dkms add nvidia/${1%-*}
dkms install -m nvidia/${1%-*}
+ echo "==> To build your modules automatically at startup run:
+ echo " # systemctl enable dkms.service"
}
+# arg 1: the new package version
+# arg 2: the old package versio
pre_upgrade() {
- pre_remove ${2}
+ pre_remove "$2"
}
+# arg 1: the new package version
+# arg 2: the old package version
post_upgrade() {
- post_install ${1}
+ post_install "$1"
}
+# arg 1: the old package version
pre_remove() {
- dkms remove -m nvidia/${1%-*} --all
+ # Remove modules using dkms
+ [ -n "${1%-*}" ] && dkms remove -m nvidia/${1%-*} --all || true
}
# vim: ts=2 sw=2 et: